Skip to main content
POST
Get Payment Details

Headers

x-client-id
string
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
required

Client secret key. You can find your secret key in the Merchant Dashboard.

x-api-version
enum<string>
required

API version to be used. The accepted format is YYYY-MM-DD.

Available options:
2024-07-10T00:00:00.000Z
x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

Example:

"4dfb9780-46fe-11ee-be56-0242ac120002"

Body

application/json

Request parameters to get payment details of the virtual bank account.

status
enum<string>
required

It is the status of the payment.

Available options:
ALL,
SUCCESS,
REJECTED
Example:

"SUCCESS"

start_date
string

It is the specific start date and time to retrieve the payment details associated with the virtual bank account. Allowed format - YYYYY-MM-DD HH:MM:SS

Example:

"1995-11-10 18:12:22"

end_date
string

It is the specific end date and time to retrieve the payment details associated with the virtual bank account. Allowed format - YYYY-MM-DD HH:MM:SS

Example:

"2023-11-10 12:10:10"

virtual_account_id
string

It is the unique ID you created to identify the virtual bank account. The API retrieves all payment details with respect to this ID.

Example:

"User01"

pagination
object

It contains parameters to mange and control the retrieval of paginated data.

Response

Success response for getting payment details of the virtual bank account.

cursor
string
Example:

"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="

limit
string
Example:

"10"

payments
object

Payment Details